<?php
/**
 * @package		
 * @copyright		Copyright (C) 2012 CNPINTEGRATIONS.COM. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */

defined('_JEXEC') or die;

abstract class modEditorChangeHelper 
{

	protected static $buttons = array();

	public static function isPluginEnabled() {
		jimport('joomla.plugin.helper');
		return JPluginHelper::isEnabled('system', 'editorchange');
		//return;
	}
	
	public static function &getEditorOptions() {
		static $editors;
		if (is_null($editors)) {
			$db = JFactory::getDBO();
			$db->setQuery((string) $db->getQuery(true)
				->select('element, name')
				->from('#__extensions')
				->where($db->quoteName('type') . ' = ' . $db->Quote('plugin'))
				->where($db->quoteName('folder') . ' = ' . $db->Quote('editors'))
				->where($db->quoteName('enabled') . ' = 1')
			);
			
			$editors = $db->loadObjectList();
			if (!empty($editors)) {
				foreach ($editors as &$editor) {
					JFactory::getLanguage()->load($editor->name . '.sys', JPATH_ADMINISTRATOR);
					$editor->name = JText::_($editor->name);
					if (false !== strpos('-', $editor->name)) {
						list($tmp, $name) = explode('-', $editor->name, 2);
						if (isset($name) && !empty($name)) $editor->name = trim($name);
					}
				}
			}
			if (!is_array($editors)) $editors = array();
			array_unshift($editors, JHtml::_('select.option', '', JText::_('MOD_EDITORCHANGE_SELECT_EDITOR'), 'element', 'name'));
		}
		return $editors;
	}
	
	public static function &setEditor() {
		$user = JFactory::getUser();
		$editor	= JRequest::getWord('adEditor', '');
		if ($editor <> '') {
			$user->setParam('editor', $editor);
			return $user->save(true);
		}
		return false;
	}
}
